{% set entityString = entity|default('statement')|trans %}

{# Setup Assignment vars #}
{% if hasPermission('feature_statement_assignment') %}

    {# Statement is not assigned to anyone #}
    {% set text = 'assignment.generic.unassigned'|trans({ entity: entityString }) %}
    {% set label = 'assignment.generic.override'|trans({ entity: entityString }) %}
    {% set icon = 'fa-unlock' %}
    {% set href_assign = path(
        'DemosPlan_assessment_set_statement_assignment',
        {'entityId': statement is defined ? statement.id|default : '', 'assignOrUnassign': 'assign'}
        )
    %}
    {% set href_unassign = path(
        'DemosPlan_assessment_set_statement_assignment',
        {'entityId': statement is defined ? statement.id|default : '', 'assignOrUnassign': 'unassign'}
        )
    %}

    {% if statement is defined and statement.assignee.name is defined %}

        {# Statement is not assigned to the current user and will be overriden on action #}
        {% if statement.assignee.id|default != currentUser.ident %}
            {% set text = 'assignment.generic.assigned'|trans({ entity: entityString, name: statement.assignee.name, organisation: statement.assignee.orgaName }) %}
            {% set icon = 'fa-lock' %}
        {% endif %}

        {# Statement is assigned to the current user and will be released on action #}
        {% if statement.assignee.id|default == currentUser.ident %}
            {% set text = 'assignment.generic.assigned.self'|trans({ name: statement.assignee.name }) %}
            {% set icon = 'fa-user' %}
            {% set label = 'assignment.generic.release'|trans({ entity: entityString }) %}
            {% set assigned = true %}
        {% endif %}

    {% endif %}

{% endif %}


<div class="u-pt-0_125 layout--flush">
    <div class="layout__item u-2-of-4">

        {# The css class "c-actionmenuat__trigger" is used here only lazily to style the single links
           with the same line height as the "real actionmenu". some day the line height stuff has to be extracted. #}

        {# Assignment (a.k.a. Claim) #}
        {% if hasPermission('feature_statement_assignment') %}
            {% if statement.assignee.id|default != currentUser.ident %}
                <a class="c-actionmenu__trigger o-tooltip inline-block u-mr-0_5"
                    href="{{ href_assign }}"
                    data-cy="claim">
                    <i class="fa {{ icon }}" aria-hidden="true"></i>
                    <div class="o-tooltip__content">
                        {{ text }}
                    </div>
                </a>
            {% else %}
                <a class="c-actionmenu__trigger o-tooltip o-link--default inline-block u-mr-0_5"
                    href="{{ href_unassign }}"
                    data-cy="unclaim">
                    <i class="fa {{ icon }}" aria-hidden="true"></i>
                    <div class="o-tooltip__content">
                        {{ text }}
                    </div>
                </a>
            {% endif %}
        {% endif %}

        {# Copy item #}
        {% if assigned|default(false) or not hasPermission('feature_statement_assignment') %}
            <a class="c-actionmenu__trigger btn-icns u-mb-0" href="{{ path("dm_plan_assessment_single_copy", {'statement': templateVars.table.statement.ident, 'procedure': procedure}) }}" name="copyStatement">
                <i class="fa fa-files-o" aria-hidden="true"></i>
                {{ 'copy'|trans }}
            </a>
        {% endif %}

        {# Release cluster #}
        {% if entity|default == 'cluster' %}
            <a href="{{ path('DemosPlan_cluster_resolve', { 'headStatementId': statement.ident, 'procedure': procedure }) }} "
               class="c-actionmenu__trigger btn-icns u-mb-0"
               data-form-actions-confirm="{{ 'check.cluster.release'|trans }}"
               data-form-actions-confirm-simple
                {{ readonly ? 'disabled' }}
            >
                <i class="fa fa-times" aria-hidden="true"></i>
                {{ 'cluster.release'|trans }}
            </a>
        {% endif %}

        {% if hasPermission('feature_assessmenttable_single_statement_pdf') %}
            <button
                type="button"
                class="btn--blank o-link--default"
                data-export-form="{# This attribute is used as a hook to append an EventListener in assessment_statement.html.twig #}">
                <i class="fa fa-share-square" aria-hidden="true"></i>
                {{ 'pdf.export'|trans }}
            </button>
        {% endif %}

    </div><!--

 --><div class="layout__item u-pt-0_125 u-2-of-4 flow-root vertical-align--baseline u-mb-0_25">
        {% if statement.assignee.id|default != currentUser.ident and hasPermission('feature_statement_assignment') %}
            <a
                class="btn btn--primary float-right u-pr-0_5-desk-down u-pl-0_5-desk-down"
                data-cy="statementAssignmentOverride"
                href="{{ href_assign }}">
                {{ label }}
            </a>
        {% endif %}
    </div>

</div>

